#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, l, i, r=0;
    scanf("%d", &n);
    scanf("%d", &l);
    int p[n];
    for(i=0;i<n;i++){
        scanf("%d", &p[i]);
    }
    for(i=1;i<n;i++){
        if(l>=p[i-1]){
            printf("\n%d", i);
            r=1;
        }
    }
    if(r!=1){
        printf("-1");
    }
    return 0;
}